Loading...
Searching...
No Matches
HexagonOffload.h File Reference

Defines a lowering pass to pull loops marked with the Hexagon device API to a separate module, and call them through the Hexagon host runtime module. More...

`#include "Buffer.h"`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::inject_hexagon_rpc (Stmt s, const Target &host_target, Module &module)
| Pull loops marked with the Hexagon device API to a separate module, and call them through the Hexagon host runtime module.
Buffer< uint8_t > | Halide::Internal::compile_module_to_hexagon_shared_object (const Module &device_code)

## Detailed Description

Defines a lowering pass to pull loops marked with the Hexagon device API to a separate module, and call them through the Hexagon host runtime module.

Definition in file HexagonOffload.h.